Summary: The daemon which starts the flushing of dirty buffers back to disk.
Name: bdflush
Version: 1.5
Release: 1.3.0
Copyright: None
Group: System Environment/Daemons
Source: ftp://tsx-11.mit.edu/pub/linux/sources/system/v1.2/bdflush-1.5.tar.gz
Patch0: bdflush-1.5-axp.patch
Patch1: bdflush-1.5-glibc.patch
Patch2: bdflush-1.5-linux-include-gd-1.diff
Buildroot: /var/tmp/bdflush-root

%description
The bdflush process starts the kernel daemon which flushes dirty
buffers back to disk (i.e., writes all unwritten data to disk).
This helps to prevent the buffers from growing too stale.
Bdflush is a basic system process that must run for your system
to operate properly.

%prep
%setup

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

install -s -m 755 bdflush $RPM_BUILD_ROOT/sbin/update
install -m 644 bdflush.8 $RPM_BUILD_ROOT/%{_mandir}/man8/bdflush.8
ln -sf bdflush.8 $RPM_BUILD_ROOT/%{_mandir}/man8/update.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /sbin/update
%attr(-,root,root) %doc %{_mandir}/man8/bdflush.8*
%attr(-,root,root) %doc %{_mandir}/man8/update.8*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.5, Release 1.5.0
  - include linux/limits.h in bdflush.c.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.5, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.5, Release 1.0.3
  - Fixed CFLAGS for i386 builds.
